
Foreman - Bug #5797

Foreman does not flag catalog retieve failures as a puppet failure if the cached catalog runs without

issues

05/19/2014 05:50 PM - Chuck Schweizer

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman does not log any failures when a puppet can not retrieve a catalog from the remote server if puppet fails back to a cached

catalog and the run finishes without errors.

  logs:

    - !ruby/object:Puppet::Util::Log

      message: "Could not retrieve catalog from remote server: Error 400 on SERVER: Invalid relati

onship: File[/etc/mcollective/ssl/public.pem] { require => File[/etc/mcollective/ssl] }, because F

ile[/etc/mcollective/ssl] doesn't seem to be in the catalog" 

      level: !ruby/sym err

      tags:

        - err

      time: 2014-05-19 17:11:01.294604 +00:00

      source: Puppet

    - !ruby/object:Puppet::Util::Log

      message: "Using cached catalog" 

      level: !ruby/sym notice

      tags:

        - notice

      time: 2014-05-19 17:11:03.743133 +00:00

      source: Puppet

    - !ruby/object:Puppet::Util::Log

      message: "Finished catalog run in 37.88 seconds" 

      level: !ruby/sym notice

      tags:

        - notice

      time: 2014-05-19 17:11:44.763923 +00:00

      source: Puppet

Related issues:

Is duplicate of Installer - Bug #3851: Reports with errors on the puppet mast... Closed 12/11/2013

History

#1 - 05/19/2014 05:57 PM - Dominic Cleal

- Is duplicate of Bug #3851: Reports with errors on the puppet master side are not shown as failed added

#2 - 05/19/2014 05:57 PM - Dominic Cleal

- Status changed from New to Feedback

This should be fixed with the change in #3851, would you mind testing this updated report processor?  

https://raw.githubusercontent.com/theforeman/puppet-foreman/master/templates/foreman-report_v2.rb.erb

#3 - 05/19/2014 06:07 PM - Chuck Schweizer

Yep. That fixed my issue.  Thanks
https://projects.theforeman.org/issues/3851
https://raw.githubusercontent.com/theforeman/puppet-foreman/master/templates/foreman-report_v2.rb.erb


#4 - 05/19/2014 06:31 PM - Dominic Cleal

- Status changed from Feedback to Duplicate

Great, thanks for testing.
